*CMOS inverter 
.PARAM V_SUPPLY = '2.000000E+00'
.PARAM V_OUT = '2.008153E+00'
.PARAM INP_FREQ = '8.500000E+08'
.PARAM INP_PERIOD = '1/INP_FREQ'
.PARAM NO_PERIODS = '4'
.PARAM TMEAS_START = '(NO_PERIODS-1)*INP_PERIOD'
.PARAM TMEAS_STOP = '(NO_PERIODS)*INP_PERIOD'
.PARAM AC_POINTS = 10000
.PARAM AC_START = 0.001
.PARAM AC_STOP = 1E9
VDD VDD 0 {V_SUPPLY}
VSS VSS 0 0
VSIG IN VSS AC 0 DC 1
MP OUT IN VDD VDD P1 W='1.000019E-03'   L=3.500000E-07 
MN OUT IN VSS VSS N1 W='1.000019E-03/2' L=3.500000E-07 
RIN IN VSS 1G
Rf OUT IN 0.01
VOUT VOUT 0 '2.008153E+00'
IOUT OUT VOUT 1
.TRAN 'INP_PERIOD/1000' 'NO_PERIODS*INP_PERIOD'
.AC dec 'AC_POINTS' 'AC_START' 'AC_STOP'
.OPTION POST PROBE ACCURATE
.include modelcard.nmos
.include modelcard.pmos
.control
  run
  write inv_ac.raw
.endc
.measure tran ZP_SUPPLY0 rms par('i(vdd)*v_supply') from='tmeas_start' to='tmeas_stop'
.control
alter vdd=2.0
alter vout=999
run
.endc
.control
alter vdd=2.0
alter vout=1000
run
.endc
.control
alter vdd=2.0
alter vout=1001
run
.endc
.control
alter vdd=2.1
alter vout=999
run
.endc
.control
alter vdd=2.1
alter vout=1000
run
.endc
.control
alter vdd=2.1
alter vout=1001
run
.endc
.control
alter vdd=2.2
alter vout=999
run
.endc
.control
alter vdd=2.2
alter vout=1000
run
.endc
.control
alter vdd=2.2
alter vout=1001
run
.endc
.control
quit
.endc
.end
